Subject: [PATCH] Re: IPW Question on menuconfig

From: Jan Niehusmann <[email-masked]>
Date: Mon, 24 Oct 2005 00:36:58 +0200

On Mon, Oct 10, 2005 at 09:00:50PM -0600, Alejandro Bonilla Beeche wrote:
> Network devices / Wireless, and the IPW2100 wasn't in the list. I went, 
> then Modularized the IEEE80211 and then IPW2100 was there. I think is 
> kind of estrange that IPW2100 wouldn't show just because it has a 
> dependencie, shouldn't IPW2100 show in the list, and if you select it, 
> then it would also select CONFIG_IEEE80211?

I think you are right, so the config script should be changed like shown
below. (But I'm not really familiar with the config language, so I may
be missing some obvious problems?)

Signed-off-by: Jan Niehusmann <[email-masked]>
(in case somebody cares for that for such a small change...)

diff --git a/drivers/net/wireless/Kconfig b/drivers/net/wireless/Kconfig
--- a/drivers/net/wireless/Kconfig
+++ b/drivers/net/wireless/Kconfig
@@ -139,8 +139,9 @@ comment "Wireless 802.11b ISA/PCI cards 
 
 config IPW2100
 	tristate "Intel PRO/Wireless 2100 Network Connection"
-	depends on NET_RADIO && PCI && IEEE80211
+	depends on NET_RADIO && PCI
 	select FW_LOADER
+	select IEEE80211
 	---help---
           A driver for the Intel PRO/Wireless 2100 Network 
 	  Connection 802.11b wireless network adapter.
@@ -192,8 +193,9 @@ config IPW_DEBUG
 
 config IPW2200
 	tristate "Intel PRO/Wireless 2200BG and 2915ABG Network Connection"
-	depends on IEEE80211 && PCI
+	depends on PCI
 	select FW_LOADER
+	select IEEE80211
 	---help---
           A driver for the Intel PRO/Wireless 2200BG and 2915ABG Network
 	  Connection adapters.